vim.g.mapleader = ','
vim.g.maplocalleader = ','

vim.opt.fileformats = { 'unix', 'dos', 'mac' }

vim.opt.autochdir = true

-- Tabs
vim.opt.shiftwidth = 4
vim.opt.softtabstop = 4
vim.opt.tabstop = 4

-- UI
vim.opt.matchtime = 2
vim.opt.number = true
vim.opt.numberwidth = 4
vim.opt.relativenumber = true
vim.opt.showmatch = true
vim.opt.spelllang = 'en_us'
vim.opt.wildmode = 'list:longest'

-- Indent
vim.opt.copyindent = true
vim.opt.preserveindent = true
vim.opt.smartindent = true
vim.opt.shiftround = true

-- Text Formatting/Layout
vim.opt.ignorecase = true
vim.opt.list = true
vim.opt.smartcase = true
vim.opt.wrap = false
vim.opt.whichwrap:append {
  ['<'] = true,
  ['>'] = true,
  ['['] = true,
  [']'] = true,
}
